libplplotcxx13_5.13.0+dfsg-6ubuntu2_i386.deb


Advertisement

Description

libplplotcxx13 - Scientific plotting library (C++ binding)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libplplotcxx13
Package version 5.13.0+dfsg
Package release 6ubuntu2
Package architecture i386
Package type deb
Installed size 194 B
Download size 23.83 KB
Official Mirror archive.ubuntu.com
PLplot is relatively small, portable, freely distributable, and is rich
enough to satisfy most users.  It has a wide range of plot types including
line (linear, log), contour, 3D, fill, and almost 1000 characters
(including Greek and mathematical) in its extended font set.  The package
is designed to make it easy to quickly get graphical output; only a
handful of function calls is typically required.  For more advanced use,
virtually all aspects of plotting are configurable.
This package contains the C++ binding for PLplot.

Alternatives

Package Version Architecture Repository
libplplotcxx13_5.13.0+dfsg-6ubuntu2_amd64.deb 5.13.0+dfsg amd64 Ubuntu Universe
libplplotcxx13 - - -

Requires

Name Value
libc6 >= 2.4
libplplot15 -
libstdc++6 >= 5

Download

Type URL
Binary Package libplplotcxx13_5.13.0+dfsg-6ubuntu2_i386.deb
Source Package plplot

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libplplotcxx13 deb package:
    # sudo apt-get install libplplotcxx13

Files

Path
/usr/lib/i386-linux-gnu/libplplotcxx.so.13
/usr/lib/i386-linux-gnu/libplplotcxx.so.13.0.0
/usr/share/doc/libplplotcxx13/changelog.Debian.gz
/usr/share/doc/libplplotcxx13/copyright

Changelog

2017-11-02 - Dimitri John Ledkov <xnox@ubuntu.com>
plplot (5.13.0+dfsg-6ubuntu2) bionic; urgency=high
* No change rebuild.
2017-11-01 - Dimitri John Ledkov <xnox@ubuntu.com>
plplot (5.13.0+dfsg-6ubuntu1) bionic; urgency=high
* Build with -O2, to avoid segfault on ppc64el.
2017-10-05 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-6) unstable; urgency=medium
* Convert remaining symlinks (Closes: #875911)
* Push Standards-Version to 4.1.1. No changes required.
2017-09-26 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-5) unstable; urgency=medium
* Convert old symlink to directory in libplplot-dev
2017-09-25 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-4) unstable; urgency=medium
* Install all packages for CI test (still fails, however)
* Fix version number in maintscript.
* Move plserver program to plplot-tcl-bin package and /usr/bin
2017-09-24 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-3) unstable; urgency=medium
* Add CMake plplot config files to libplplot-dev
* Disable ocaml tests on MIPS completely
2017-09-23 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-2) unstable; urgency=medium
* Adjust Multi-Arch according to hinter
* Fix symlink->directory change command in installer scripts
* Fix ocaml dependencies
* Completely disable x22ocaml test. (Closes: #876485)
* Fix python libraries for different python versions
2017-09-22 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-1) unstable; urgency=low
* Finally make all occaml test failures non-fatal
* Switch back to unstable
2017-09-21 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-1~exp3) experimental; urgency=low
* Disable more failing ocaml tests: x16ocaml, x22ocaml
2017-09-20 - Ole Streicher <olebole@debian.org>
plplot (5.13.0+dfsg-1~exp2) experimental; urgency=low
* Fix CI test subdir name
* Merge patches from Ubuntu
* Convert symlinks from old packages to directories on upgrade
(Closes: #875913)
* Disable failing test x09ocaml

See Also

Package Description
libplplotfortran0_5.13.0+dfsg-6ubuntu2_i386.deb Scientific plotting library (fortran bindings)
libplplotqt2_5.13.0+dfsg-6ubuntu2_i386.deb Scientific plotting library (Qt bindings)
libplplotwxwidgets1_5.13.0+dfsg-6ubuntu2_i386.deb Scientific plotting library (wxWidgets bindings)
libplucene-perl_1.25-3_all.deb Perl port of the Lucene search engine
libpmi-pmix-dev_2.1.1~rc1-1_i386.deb Development files for the PMI library (OpenMPI )
libpmi0-dev_17.11.2-1build1_i386.deb SLURM PMI library implementation development files
libpmi0_17.11.2-1build1_i386.deb SLURM PMI library implementation
libpmi1-pmix_2.1.1~rc1-1_i386.deb OpenMPI implementation of the PMI v1 library
libpmi2-0-dev_17.11.2-1build1_i386.deb SLURM PMI2 library implementation development files
libpmi2-0_17.11.2-1build1_i386.deb SLURM PMI2 library implementation
libpmi2-pmix_2.1.1~rc1-1_i386.deb OpenMPI implementation of the PMI v2 library
libpmix-dev_2.1.1~rc1-1_i386.deb Development files for the PMI Exascale library
libpmix2_2.1.1~rc1-1_i386.deb Process Management Interface (Exascale) library
libpmount-dev_0.0.17-3_i386.deb portable mount library - development files
libpmount0_0.0.17-3_i386.deb portable mount library - shared library
Advertisement
Advertisement